package com.jjt.calc.service;

import com.jjt.calc.domain.TwinRecordAlarms;

import java.util.Date;
import java.util.List;

/**
 * 告警数据记录Service接口
 *
 * @author wukai
 * @date 2025-01-18
 */
public interface ITwinRecordAlarmsService {
    /**
     * 查询告警数据记录
     *
     * @param id 告警数据记录主键
     * @return 告警数据记录
     */
    public TwinRecordAlarms selectTwinRecordAlarmsById(Long id);

    /**
     * 查询告警数据记录列表
     *
     * @param twinRecordAlarms 告警数据记录
     * @return 告警数据记录集合
     */
    public List<TwinRecordAlarms> selectTwinRecordAlarmsList(TwinRecordAlarms twinRecordAlarms);

    /**
     * 新增告警数据记录
     *
     * @param twinRecordAlarms 告警数据记录
     * @return 结果
     */
    public int insertTwinRecordAlarms(TwinRecordAlarms twinRecordAlarms);

    /**
     * 修改告警数据记录
     *
     * @param twinRecordAlarms 告警数据记录
     * @return 结果
     */
    public int updateTwinRecordAlarms(TwinRecordAlarms twinRecordAlarms);

    /**
     * 批量删除告警数据记录
     *
     * @param ids 需要删除的告警数据记录主键集合
     * @return 结果
     */
    public int deleteTwinRecordAlarmsByIds(Long[] ids);

    /**
     * 删除告警数据记录信息
     *
     * @param id 告警数据记录主键
     * @return 结果
     */
    public int deleteTwinRecordAlarmsById(Long id);

    /**
     * 按时间删除记录
     *
     * @param date 日期
     * @param hour 小时
     */
    void deleteTwinRecordAlarms(Date date, int hour);
}
